Subject: Re: [ANNOUNCEMENT] Updated: inetutils-1.3.2-13
From: "Gerrit P. Haase" <[email-masked]>
To: Corinna Vinschen <[email-masked]>
Date: Wed, 23 May 2001 23:25:46 +0200

Corinna Vinschen schrieb am 2001-05-23, 10:42:

> On Tue, May 22, 2001 at 11:23:00PM +0200, Gerrit P. Haase wrote:
> > Corinna Vinschen schrieb am 2001-05-22, 10:47:
> > 
> > > I've updated the version of inetutils in cygwin/latest to 1.3.2-13.
> > 
> > I will never understand all this...
> 
> I think, I do. It's probably my fault.
> 
> > And why am I SYSTEM now?
> 
> Are you using ntsec? If not, could you set CYGWIN to contain ntsec
> for inetd and look if that changes things for you?

Yes, sure am I using ntsec, as systemwide Variable and also in cygwin.bat:
1: inetd got no TTY:
$ ps -e
      PID    PPID    PGID     WINPID  TTY  UID    STIME COMMAND
      433       1     433        433    1  500 22:33:33 /usr/bin/bash
      390     433     390        532    1  500 22:39:19 /usr/local/bin/perl
      284       1     284        284    0  500 22:54:14 /usr/bin/bash
      528       1     528        528    ?   18 22:55:03 /usr/sbin/inetd
      242     528     528        242    ?   18 22:55:15 /usr/sbin/inetd
      481     284     481        412    0  500 22:55:21 /usr/bin/ps 

2: it is UID 18

3: CYGWIN is:
$ set
[...]
CYGWIN=$'binmode tty ntea ntsec title case_check:strict'
[...]

4: After login with telnet, i'm User SYSTEM, BASH=/bin/sh and
NO CYGWIN at all, login to ftpd fails (failed not before upgrade).
I don't use rsh so i don't know if it is different now.

> Sigh, I fear I have to change this and that in the authentication
> code in Cygwin...

O.K. i'll try next release.
 
> Unfortunately, this code is executed even if ntsec is off while another
> piece of code which tries to evaluate the current user is partly not
> executed when ntsec is off. AFAICS, this results in a misinterpretation
> of the user information.

Hmm, i never turn off ntsec if not trying a new port of some cute software.

gph

-- 
=^..^=

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple